* {
  margin: 0px;
  padding: 0px;
  font-size: 16px;
  font-family: "Work Sans", sans-serif;
}

body {
  background-color: hsl(275, 100%, 97%);
  background-image: url("./assets/images/background-pattern-desktop.svg");
  /* background-size: cover; */
  background-repeat: no-repeat;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  min-height: 100vh;
}

main {
  background-color: hsl(0, 0%, 100%);
  width: 700px;
  height: auto;
  border-radius: 15px;
  padding: 30px;
}

.heading
 {
  display: flex;
}

.heading-icon {
  width: 35px;
}

h1 {
  font-size: 2.5rem;
  padding-left: 20px;
  letter-spacing: 2px;
}

h1,
h2 {
  color: hsl(292, 42%, 14%);
}

/* padding-block centered the faq between borders */
.faq {
  border-bottom: 1px solid hsl(292, 16%, 49%, 0.1);
/*   margin-top: 15px;
  padding-bottom: 28px; */
  cursor: pointer;
  padding-block: 1.5rem;
}

.faq:last-child {
  border-bottom: none;
}

.question {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

h2 {
  font-size: 1.2rem;
}

h2:hover {
  color: rgb(173, 40, 235);
}

.answer {
  max-height: 0;
  overflow: hidden;
  transition: 1s ease;
  
}

.answer p {
  padding-top: 18px;
  line-height: 1.5;
  color: hsl(292, 16%, 49%);
}

.faq.active .answer {
  max-height: 100px;
  
}

.faq.active img {
  content: url(./assets/images/icon-minus.svg);
}

@media (max-width: 800px) {
  main {
    width: auto;
    margin: auto 50px;
  }

  h2 {
    font-size: 1rem;
  }

  .question > img {
    width: 1.5rem;
  }
}



